<bugID>653590<Summary>Defaults directory doesn't belong in omni.jar</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:2.0) Gecko/20100101 Firefox/4.0
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:2.0) Gecko/20100101 Firefox/4.0

In previous versions of Firefox you were able to set the default homepage for all users by saving "pref("browser.startup.homepage", "www.google.com");" into C:\Program Files\Mozilla Firefox\defaults\pref\firefox.js

With Firefox 4 you can still use firefox.js to configure default settings like proxy server, however the default homepage does not save.

More information on the process used can be found here:

http://mockbox.net/configmgr-sccm/174-install-and-configure-firefox-silently.html

Please note - the instructions have EXCLUDED the homepage part of firefox.js as this does not work.

Reproducible: Always

Steps to Reproduce:
** Please note, if your user account has already ran Firefox you may need a new user account or profile to test this process **

1.Download standalone installer for Firefox from http://www.mozilla.com/firefox
2.Install Firefox on a test computer
3.Navigate to C:\Program Files\Mozilla Firefox\defaults\pref\  (If you're using a 64 bit version of Windows:  C:\Program Files (x86)\Mozilla Firefox\defaults\pref\ )
4.Create a new text file called 'firefox.js' and copy in the following information:

pref("browser.shell.checkDefaultBrowser", false);

pref("network.proxy.ftp", "proxy.server.local");
pref("network.proxy.ftp_port", 8080);
pref("network.proxy.gopher", "proxy.server.local");
pref("network.proxy.gopher_port", 8080);
pref("network.proxy.http", "proxy.server.local");
pref("network.proxy.http_port", 8080);
pref("network.proxy.no_proxies_on", "localhost, 127.0.0.1, *.server.local");
pref("network.proxy.type", 1);
pref("network.proxy.share_proxy_settings", true); // use the same proxy settings for all protocols
pref("browser.startup.homepage", "www.google.com.au");

// Whether or not app updates are enabled
pref("app.update.enabled", false);

pref("browser.download.useDownloadDir", true);




Actual Results:  
Open Firefox to confirm that the default settings have worked - all settings EXCLUDING the homepage are working

Expected Results:  
Expected ALL settings to be configured, including the homepage.

** Please note, if your user account has already ran Firefox you may need a new user account or profile to test this process **</Description></bugID>